Package org.opensaml.xmlsec.impl

# Class BasicSignatureValidationConfiguration

java.lang.Object
org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration
org.opensaml.xmlsec.impl.BasicSignatureValidationConfiguration

All Implemented Interfaces:
  `AlgorithmPolicyConfiguration`, `SignatureValidationConfiguration`

public class BasicSignatureValidationConfiguration extends BasicAlgorithmPolicyConfiguration implements SignatureValidationConfiguration
Basic implementation of `SignatureValidationConfiguration`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`AlgorithmPolicyConfiguration.Precedence`

## Field Summary

Fields
Modifier and Type
Field
Description
`private SignatureTrustEngine`
`signatureTrustEngine`
The signature trust engine to use.

### Fields inherited from class org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration

`DEFAULT_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`BasicSignatureValidationConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`SignatureTrustEngine`
`getSignatureTrustEngine()`
Get the signature trust engine to use.
`BasicSignatureValidationConfiguration`
`setSignatureTrustEngine(SignatureTrustEngine engine)`
Set the signature trust engine to use.

### Methods inherited from class org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge, setExcludedAlgorithms, setExcludeMerge, setIncludedAlgorithms, setIncludeExcludePrecedence, setIncludeMerge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge`

## Field Details

### signatureTrustEngine

@Nullable private SignatureTrustEngine signatureTrustEngine
The signature trust engine to use.

## Constructor Details

### BasicSignatureValidationConfiguration

public BasicSignatureValidationConfiguration()

## Method Details

### getSignatureTrustEngine

@Nullable public SignatureTrustEngine getSignatureTrustEngine()
Get the signature trust engine to use.

Specified by:
  `getSignatureTrustEngine` in interface `SignatureValidationConfiguration`
Returns:
  the signature trust engine

### setSignatureTrustEngine

@Nonnull public BasicSignatureValidationConfiguration setSignatureTrustEngine(@Nullable SignatureTrustEngine engine)
Set the signature trust engine to use.

Parameters:
  `engine` - the signature trust engine
Returns:
  this object